package com.duben.happyplaylet.mvp.views

import com.duben.happyplaylet.mvp.model.IndexList
import com.duben.happyplaylet.mvp.model.NineShowBean


interface VideoView : BaseView {
    fun getIndexListSuc(indexList: IndexList)
    fun getIndexListFail()

    fun collectSuc()
    fun collectFail()

    fun cancelCollectSuc()
    fun cancelCollectFail()

    fun unlockSuc(indexList: IndexList)
    fun unlockFail()

    fun showTurnSuc(data: NineShowBean)

}